Dokumentacja AlgoJudge0.1
REST reference

Problem Admin

Ta strona jest po angielsku

Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
GET/problems/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "slug": "string",  "name": "string",  "type": "string",  "external": true,  "ownerUserId": "string",  "ownerName": "string",  "visibility": "string",  "sharedWith": [    "string"  ],  "archivedAt": "string",  "currentVersion": 0,  "versionCount": 0,  "createdAt": "string",  "attachedCount": 0}
DELETE/problems/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
PUT/problems/{id}

Path Parameters

id*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "type": "string"  }'
{  "id": "string",  "slug": "string",  "name": "string",  "type": "string",  "external": true,  "ownerUserId": "string",  "ownerName": "string",  "visibility": "string",  "sharedWith": [    "string"  ],  "archivedAt": "string",  "currentVersion": 0,  "versionCount": 0,  "createdAt": "string",  "attachedCount": 0}
POST/problems/{id}/archived

Path Parameters

id*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/archived" \  -H "Content-Type: application/json" \  -d '{    "archived": true  }'
{  "id": "string",  "slug": "string",  "name": "string",  "type": "string",  "external": true,  "ownerUserId": "string",  "ownerName": "string",  "visibility": "string",  "sharedWith": [    "string"  ],  "archivedAt": "string",  "currentVersion": 0,  "versionCount": 0,  "createdAt": "string",  "attachedCount": 0}
POST/problems/{id}/duplicate

Path Parameters

id*string
Formatuuid

Response Body

curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate"
{  "id": "string",  "slug": "string",  "name": "string",  "type": "string",  "external": true,  "ownerUserId": "string",  "ownerName": "string",  "visibility": "string",  "sharedWith": [    "string"  ],  "archivedAt": "string",  "currentVersion": 0,  "versionCount": 0,  "createdAt": "string",  "attachedCount": 0}
POST/problems/{id}/visibility

Path Parameters

id*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/visibility" \  -H "Content-Type: application/json" \  -d '{    "visibility": "string"  }'
{  "id": "string",  "slug": "string",  "name": "string",  "type": "string",  "external": true,  "ownerUserId": "string",  "ownerName": "string",  "visibility": "string",  "sharedWith": [    "string"  ],  "archivedAt": "string",  "currentVersion": 0,  "versionCount": 0,  "createdAt": "string",  "attachedCount": 0}
GET/problems/{problemId}/versions

Path Parameters

problemId*string
Formatuuid

Response Body

curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"
[  {    "id": "string",    "version": 0,    "createdAt": "string",    "createdByName": "string",    "note": "string",    "props": null,    "hasPackage": true,    "files": [      {        "name": "string",        "scope": "string",        "mimeType": "string",        "sizeBytes": 0,        "sha256": "string",        "fileId": "string"      }    ]  }]
GET/problems/{problemId}/versions/{versionId}/content

Path Parameters

problemId*string
Formatuuid
versionId*string
Formatuuid

Response Body

curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/content"
[  {    "name": "string",    "language": "string",    "fileId": "string",    "sha256": "string",    "sizeBytes": 0  }]
GET/problems/{problemId}/versions/{versionId}/package

Path Parameters

problemId*string
Formatuuid
versionId*string
Formatuuid

Response Body

curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/package"
Empty